import { ItemBehavior } from "../modules/itemModule";
import { ChargeItem } from "../modules/class/items/chargeItem";
import { DurabilityItem } from "../modules/class/items/durabilityItem";
import { DynamicLightItem } from "../modules/class/items/dynamicLightItem";
import { EventItem } from "../modules/class/items/eventItem";
import { MultiDestroyBlockItem } from "../modules/class/items/multiBlockDestroyItem";
import { registerScythes } from './presets/scythe';
export function registerItems() {
    ItemBehavior.registerSubclass("charge", ChargeItem);
    ItemBehavior.registerSubclass("durability", DurabilityItem);
    ItemBehavior.registerSubclass("dynamicLight", DynamicLightItem);
    ItemBehavior.registerSubclass("events", EventItem);
    ItemBehavior.registerSubclass("multiBlockDestroy", MultiDestroyBlockItem);
    registerScythes();
    ItemBehavior.initialize();
}
